Bug 1848842 - CVE-2020-13625 php-PHPMailer: output escaping could result in the file type being misinterpreted [fedora-all]
Summary: CVE-2020-13625 php-PHPMailer: output escaping could result in the file type b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-PHPMailer
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Patrick Monnerat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-13625
TreeView+ depends on / blocked
 
Reported: 2020-06-19 04:49 UTC by Marian Rehak
Modified: 2020-07-01 01:49 UTC (History)
2 users (show)

Fixed In Version: php-PHPMailer-5.2.28-2.fc31 php-PHPMailer-5.2.28-2.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-01 01:35:43 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2020-06-19 04:49:12 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2020-06-19 04:49:15 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1848841,1848842

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-06-20 23:42:15 UTC
FEDORA-2020-0bbe6304e3 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0bbe6304e3

Comment 3 Fedora Update System 2020-06-20 23:42:15 UTC
FEDORA-2020-06e87e71fe has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-06e87e71fe

Comment 4 Fedora Update System 2020-06-23 01:03:58 UTC
FEDORA-2020-06e87e71fe has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-06e87e71fe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-06e87e71fe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-06-23 01:53:52 UTC
FEDORA-2020-0bbe6304e3 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0bbe6304e3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0bbe6304e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-07-01 01:35:43 UTC
FEDORA-2020-0bbe6304e3 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-07-01 01:49:13 UTC
FEDORA-2020-06e87e71fe has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.